Subject: guix pull fails (findutils-boot0 check phase) on riscv64

From: Daniel K <[email-masked]>
Date: Fri, 23 Aug 2024 16:05:58 +0000

I recently bought a DeepComputing DC-Roma II laptop which uses a riscv64 CPU (SpacemiT X60) and am trying to install and use Guix on it. I installed it on both OS's that come with it (Ubuntu 23 and Debian 12) however when I run 'guix pull' I get the following error:

| 'check' phasebuilder for `/gnu/store/bd5qfbhkyg9zw3nvz4pipr8xq324c01j-findutils-boot0-4.8.0.drv' failed with exit code 1

which turns out that it is related to gnulib test 'test_rwlock' in 'test-lock.c' failing from timeout due to hanging.

Disabling tests in findutils allows me to get past this error but a bunch of other packages fail as well, all caused by the same 'test_rwlock', including:

* libunistring
* coreutils
* openssl
* gettext-minimal

After tests are disabled for the above, building continues until glibc-bootstrap-0 fails.

I found a related issue with the same failing gnulib test but for aarch64: https://issues.guix.gnu.org/26441